use crate::{Player, ClientInfo};

#[derive(Debug)]
pub enum ClientEvent {
	Handshake(ClientInfo),
	Join(Player),
	KeepAlive(i64),
	Disconnect,
}

#[derive(Debug)]
pub enum ServerEvent {
	Disconnect(Option<String>),
	KeepAlive(i64),
}
